Mailinglist Archive: opensuse-security (220 mails)

< Previous Next >
Re: [suse-security] How to patch SuSE RPM Packages ?
  • From: Stefan Seyfried <seife@xxxxxxxxxxxxxxxx>
  • Date: Thu, 20 Nov 2003 09:35:10 +0100
  • Message-id: <20031120083510.GA30836@xxxxxxxxxxxxxxxx>
On Thu, Nov 20, 2003 at 08:41:02AM +0100, Junge, Stefan wrote:
> Hello list ?
>
> I have got some SuSE 7.3 boxes.
> Now I want to upgrade the latest openssl packages from version 0.9.6b
> Release 158 to eg. 0.9.6e .

why?

> Newer packages are not offered by YOU.

of course not, since the security fixes are backported to the old revisions
to keep out compatibility problems.

> Which other possibilities exist to upgrade the packages except building them
> form tarballs ?
> Can I use the source rpm?s offered on suse?s website ?

I have done this with some packages but this is nothing for wimps ;-))

To be honest: if you have to ask this question, you probably should not do it
without a good reason. Since ssl is a pretty basic library, if you break it,
many things won't work anymore.
--
Stefan Seyfried

Senior Consultant community4you GmbH, Chemnitz, Germany.
http://www.community4you.de http://www.open-eis.com

< Previous Next >
References